/* ==========================================================
 * bootstrap-formhelpers-languages.codes.js
 * https://github.com/vlamanna/BootstrapFormHelpers
 * ==========================================================
 * Copyright 2012 Vincent Lamanna
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================== */
 
 var BFHLanguagesList = {
   'om': 'Afaan Oromoo',
   'aa': 'Afaraf',
   'af': 'Afrikaans',
   'ak': 'Akan',
   'an': 'aragonÃ©s',
   'ig': 'Asá»¥sá»¥ Igbo',
   'gn': 'AvaÃ±e\'áº½',
   'ae': 'avesta',
   'ay': 'aymar aru',
   'az': 'azÉ™rbaycan dili',
   'id': 'Bahasa Indonesia',
   'ms': 'bahasa Melayu',
   'bm': 'bamanankan',
   'jv': 'basa Jawa',
   'su': 'Basa Sunda',
   'bi': 'Bislama',
   'bs': 'bosanski jezik',
   'br': 'brezhoneg',
   'ca': 'catalÃ ',
   'ch': 'Chamoru',
   'ny': 'chiCheÅµa',
   'sn': 'chiShona',
   'co': 'corsu',
   'cy': 'Cymraeg',
   'da': 'dansk',
   'se': 'DavvisÃ¡megiella',
   'de': 'Deutsch',
   'nv': 'DinÃ© bizaad',
   'et': 'eesti',
   'na': 'EkakairÅ© Naoero',
   'en': 'English',
   'es': 'espaÃ±ol',
   'eo': 'Esperanto',
   'eu': 'euskara',
   'ee': 'EÊ‹egbe',
   'to': 'faka Tonga',
   'mg': 'fiteny malagasy',
   'fr': 'franÃ§ais',
   'fy': 'Frysk',
   'ff': 'Fulfulde',
   'fo': 'fÃ¸royskt',
   'ga': 'Gaeilge',
   'gv': 'Gaelg',
   'sm': 'gagana fa\'a Samoa',
   'gl': 'galego',
   'sq': 'gjuha shqipe',
   'gd': 'GÃ idhlig',
   'ki': 'GÄ©kÅ©yÅ©',
   'ha': 'Hausa',
   'ho': 'Hiri Motu',
   'hr': 'hrvatski jezik',
   'io': 'Ido',
   'rw': 'Ikinyarwanda',
   'rn': 'Ikirundi',
   'ia': 'Interlingua',
   'nd': 'isiNdebele',
   'nr': 'isiNdebele',
   'xh': 'isiXhosa',
   'zu': 'isiZulu',
   'it': 'italiano',
   'ik': 'IÃ±upiaq',
   'pl': 'jÄ™zyk polski',
   'mh': 'Kajin MÌ§ajeÄ¼',
   'kl': 'kalaallisut',
   'kr': 'Kanuri',
   'kw': 'Kernewek',
   'kg': 'KiKongo',
   'sw': 'Kiswahili',
   'ht': 'KreyÃ²l ayisyen',
   'kj': 'Kuanyama',
   'ku': 'KurdÃ®',
   'la': 'latine',
   'lv': 'latvieÅ¡u valoda',
   'lt': 'lietuviÅ³ kalba',
   'ro': 'limba romÃ¢nÄƒ',
   'li': 'Limburgs',
   'ln': 'LingÃ¡la',
   'lg': 'Luganda',
   'lb': 'LÃ«tzebuergesch',
   'hu': 'magyar',
   'mt': 'Malti',
   'nl': 'Nederlands',
   'no': 'Norsk',
   'nb': 'Norsk bokmÃ¥l',
   'nn': 'Norsk nynorsk',
   'uz': 'O\'zbek',
   'oc': 'occitan',
   'ie': 'Interlingue',
   'hz': 'Otjiherero',
   'ng': 'Owambo',
   'pt': 'portuguÃªs',
   'ty': 'Reo Tahiti',
   'rm': 'rumantsch grischun',
   'qu': 'Runa Simi',
   'sc': 'sardu',
   'za': 'SaÉ¯ cueÅ‹Æ…',
   'st': 'Sesotho',
   'tn': 'Setswana',
   'ss': 'SiSwati',
   'sl': 'slovenski jezik',
   'sk': 'slovenÄina',
   'so': 'Soomaaliga',
   'fi': 'suomi',
   'sv': 'Svenska',
   'mi': 'te reo MÄori',
   'vi': 'Tiáº¿ng Viá»‡t',
   'lu': 'Tshiluba',
   've': 'Tshivená¸“a',
   'tw': 'Twi',
   'tk': 'TÃ¼rkmen',
   'tr': 'TÃ¼rkÃ§e',
   'ug': 'UyÆ£urqÉ™',
   'vo': 'VolapÃ¼k',
   'fj': 'vosa Vakaviti',
   'wa': 'walon',
   'tl': 'Wikang Tagalog',
   'wo': 'Wollof',
   'ts': 'Xitsonga',
   'yo': 'YorÃ¹bÃ¡',
   'sg': 'yÃ¢ngÃ¢ tÃ® sÃ¤ngÃ¶',
   'is': 'Ãslenska',
   'cs': 'ÄeÅ¡tina',
   'el': 'ÎµÎ»Î»Î·Î½Î¹ÎºÎ¬',
   'av': 'Ð°Ð²Ð°Ñ€ Ð¼Ð°Ñ†Ó€',
   'ab': 'Ð°Ò§ÑÑƒÐ° Ð±Ñ‹Ð·ÑˆÓ™Ð°',
   'ba': 'Ð±Ð°ÑˆÒ¡Ð¾Ñ€Ñ‚ Ñ‚ÐµÐ»Ðµ',
   'be': 'Ð±ÐµÐ»Ð°Ñ€ÑƒÑÐºÐ°Ñ Ð¼Ð¾Ð²Ð°',
   'bg': 'Ð±ÑŠÐ»Ð³Ð°Ñ€ÑÐºÐ¸ ÐµÐ·Ð¸Ðº',
   'os': 'Ð¸Ñ€Ð¾Ð½ Ã¦Ð²Ð·Ð°Ð³',
   'kv': 'ÐºÐ¾Ð¼Ð¸ ÐºÑ‹Ð²',
   'ky': 'ÐšÑ‹Ñ€Ð³Ñ‹Ð·Ñ‡Ð°',
   'mk': 'Ð¼Ð°ÐºÐµÐ´Ð¾Ð½ÑÐºÐ¸ Ñ˜Ð°Ð·Ð¸Ðº',
   'mn': 'Ð¼Ð¾Ð½Ð³Ð¾Ð»',
   'ce': 'Ð½Ð¾Ñ…Ñ‡Ð¸Ð¹Ð½ Ð¼Ð¾Ñ‚Ñ‚',
   'ru': 'Ñ€ÑƒÑÑÐºÐ¸Ð¹ ÑÐ·Ñ‹Ðº',
   'sr': 'ÑÑ€Ð¿ÑÐºÐ¸ Ñ˜ÐµÐ·Ð¸Ðº',
   'tt': 'Ñ‚Ð°Ñ‚Ð°Ñ€ Ñ‚ÐµÐ»Ðµ',
   'tg': 'Ñ‚Ð¾Ò·Ð¸ÐºÓ£',
   'uk': 'ÑƒÐºÑ€Ð°Ñ—Ð½ÑÑŒÐºÐ° Ð¼Ð¾Ð²Ð°',
   'cv': 'Ñ‡Ó‘Ð²Ð°Ñˆ Ñ‡Ó—Ð»Ñ…Ð¸',
   'cu': 'Ñ©Ð·Ñ‹ÐºÑŠ ÑÐ»Ð¾Ð²Ñ£Ð½ÑŒÑÐºÑŠ',
   'kk': 'Ò›Ð°Ð·Ð°Ò› Ñ‚Ñ–Ð»Ñ–',
   'hy': 'Õ€Õ¡ÕµÕ¥Ö€Õ¥Õ¶',
   'yi': '×™×™Ö´×“×™×©',
   'he': '×¢×‘×¨×™×ª',
   'ur': 'Ø§Ø±Ø¯Ùˆ',
   'ar': 'Ø§Ù„Ø¹Ø±Ø¨ÙŠØ©',
   'fa': 'ÙØ§Ø±Ø³ÛŒ',
   'ps': 'Ù¾ÚšØªÙˆ',
   'ks': 'à¤•à¤¶à¥à¤®à¥€à¤°à¥€',
   'ne': 'à¤¨à¥‡à¤ªà¤¾à¤²à¥€',
   'pi': 'à¤ªà¤¾à¤´à¤¿',
   'bh': 'à¤­à¥‹à¤œà¤ªà¥à¤°à¥€',
   'mr': 'à¤®à¤°à¤¾à¤ à¥€',
   'sa': 'à¤¸à¤‚à¤¸à¥à¤•à¥ƒà¤¤à¤®à¥',
   'sd': 'à¤¸à¤¿à¤¨à¥à¤§à¥€',
   'hi': 'à¤¹à¤¿à¤¨à¥à¤¦à¥€',
   'as': 'à¦…à¦¸à¦®à§€à¦¯à¦¼à¦¾',
   'bn': 'à¦¬à¦¾à¦‚à¦²à¦¾',
   'pa': 'à¨ªà©°à¨œà¨¾à¨¬à©€',
   'gu': 'àª—à«àªœàª°àª¾àª¤à«€',
   'or': 'à¬“à¬¡à¬¼à¬¿à¬†',
   'ta': 'à®¤à®®à®¿à®´à¯',
   'te': 'à°¤à±†à°²à±à°—à±',
   'kn': 'à²•à²¨à³à²¨à²¡',
   'ml': 'à´®à´²à´¯à´¾à´³à´‚',
   'si': 'à·ƒà·’à¶‚à·„à¶½',
   'th': 'à¹„à¸—à¸¢',
   'lo': 'àºžàº²àºªàº²àº¥àº²àº§',
   'bo': 'à½–à½¼à½‘à¼‹à½¡à½²à½‚',
   'dz': 'à½¢à¾«à½¼à½„à¼‹à½',
   'my': 'á€—á€™á€¬á€…á€¬',
   'ka': 'áƒ¥áƒáƒ áƒ—áƒ£áƒšáƒ˜',
   'ti': 'á‰µáŒáˆ­áŠ›',
   'am': 'áŠ áˆ›áˆ­áŠ›',
   'iu': 'áƒá“„á’ƒá‘Žá‘á‘¦',
   'oj': 'áŠá“‚á”‘á“ˆá¯á’§áŽá“',
   'cr': 'á“€á¦áƒá”­ááá£',
   'km': 'ážáŸ’áž˜áŸ‚ážš',
   'zh': 'ä¸­æ–‡Â (ZhÅngwÃ©n)',
   'ja': 'æ—¥æœ¬èªžÂ (ã«ã»ã‚“ã”)',
   'ii': 'ê†ˆêŒ ê’¿ Nuosuhxop',
   'ko': 'í•œêµ­ì–´Â (éŸ“åœ‹èªž)'
 }